<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($id) {
$type = $db -> query("SELECT * FROM `books` WHERE `id` = '".$id."'");
if ($type -> num_rows > 0) $the = $type -> fetch_assoc(); else $the = false;
} else $the = false;
$diz -> head($the['name']);
$r = $db -> query("SELECT `id`,`name` FROM `book_razdel` WHERE `id` = '".$the['razdel']."'");
$raz = $r -> fetch_assoc();
$book = $db -> dbcount('name','books',"`id` = '".$id."'");
$a = $db -> query("SELECT login FROM `users` WHERE `id` = '".$the['user']."'");
$avt = $a -> fetch_assoc();
$diz -> title("<a href='./'>Библиотека</a>/<a href='razdel.php?id=$raz[id]'>".$raz['name']."</a>/<b>".$book."</b>");
$count = $db -> dbcount('COUNT(`id`)','books',"`id` = '".$id."'");
if ($count > 0) {
$msg .= '<div class="fon">Статья: <b>'.$the['name'].'</b></a></div>';
$msg .= '<div class="top">'.$func->tags($the['text']).'</a></div>';
if ($aut == true and $ya['id'] <> $the['user']) {
$db -> query("UPDATE `books` SET `red` = red+1 where `id` = '".$id."'");$reed=$the['red']+1;}else{$reed=$the['red'];}
$file = $db -> dbcount('COUNT(`id`)','book_files',"`book` = '".$id."'");
if($file>0){
$msg.='<div class="new">Прикреплённые файлы:</div>';
$f = $db -> query("SELECT * FROM `book_files` WHERE `book` = '".(int)$id."' ORDER BY `id` DESC");
while ($file = $f -> fetch_assoc()) {
$msg.='<div class="post">'.$diz -> img('r.png').' <a href="'.$file['infolder'].'">'.$file['name'].'</a> ('.$func->size($file['size']).')<br/>
<small>'.$file['info'].' ('.$func->vremja($file['dateupload']).')</small><br/>';
if($ya['level']>2){$msg .=''.$diz -> img('close.png').' <a href="func.php?id='.$file['id'].'&mode=delfile">Открепить</a>';}
$msg.='</div>';

    }
}

$msg .= '<div class="fon">Автор: <a href="../my/id'.$the['user'].'">'.$avt['login'].'</a></br>';
$msg .= 'Прочитано: <b>'.$reed.'</b> раз.</a></br>';
if($aut){
$plus = $db -> dbcount('COUNT(`id`)','reit',"`komy` = '".$id."' and `where`='book'  and `rei`='1'");
$msg .= '<a href="reit.php?id='.$id.'">Мне нравится</a> '.$plus.'</br>';
$kom = $db -> dbcount('COUNT(`id`)','comes',"`idwh` = '".$id."' and `where`='books'");
$msg .= '<a href="com'.$id.'">Комментарии</a> (<b>'.$kom.'</b>)</br>';
}
$msg.='</div>';
$msg .='<div class="fon"><b>Это интересно:</b>';
$msg .='<script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
<div class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="none" data-yashareQuickServices="vkontakte,facebook,odnoklassniki"></div></div>'; 
if($the['user']==$ya['id']){$msg .='<div class="spisok"><a href="upload.php?id='.$id.'">Прикрепить файл</a></div>';}
if($ya['level']>2){$msg .='<div class="spisok"><a href="func.php?id='.$id.'&amp;mode=red">Изменить</a> | <a href="func.php?id='.$id.'&amp;mode=del">Удалить</a>';
$msg .= ' | <a href="func.php?id='.$id.'&amp;mode=perenos">Перенести статью</a></div>';}
} else {
$msg .= '<div class="fon">Статья ненайдена или была удалена!</div>';
}
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
?>